### Function

# Gtk TreeSelectionForeachFunc

#### Declaration

    void
    TreeSelectionForeachFunc (
      GtkTreeModel* model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function used by gtk_tree_selection_selected_foreach() to map all selected rows. It will be called on every selected row in the view.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel` being viewed.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| The `GtkTreePath` of a selected row.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` pointing to a selected row.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data.